StarObjectSmallText Class Reference

the main class to read a small StarOffice text zone More...

`#include <StarObjectSmallText.hxx>`

Inheritance diagram for StarObjectSmallText:

## Public Member Functions

| StarObjectSmallText (StarObject const &orig, bool duplicateState)
| constructor
| ~StarObjectSmallText () override
| destructor
bool | read (StarZone &zone, long lastPos)
| try to read a small text object
bool | send (std::shared_ptr< STOFFListener > listener, int level=-1)
| try to send a small text zone
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > &oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > &directory)
| constructor
virtual | ~StarObject ()
| destructor
bool | parse ()
| try to parse data
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind
char const * | getPassword () const
| returns the document password (the password given by the user)
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation)
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data
void | cleanPools ()
| clean each pool
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it.
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item

## Protected Attributes

std::shared_ptr< StarObjectSmallTextInternal::State > | m_textState
| the state
Protected Attributes inherited from StarObject
char const * | m_password
| the document password
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory
std::shared_ptr< StarObjectInternal::State > | m_state
| the state
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Private Member Functions

StarObjectSmallText & | operator= (StarObjectSmallText const &orig)=delete

## Additional Inherited Members

Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation"
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview"
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows"
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File"
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File"
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor

## Detailed Description

the main class to read a small StarOffice text zone

## Constructor & Destructor Documentation

## StarObjectSmallText()

StarObjectSmallText::StarObjectSmallText | ( | StarObject const & | orig,
|  | bool | duplicateState )

constructor

Referenced by operator=().

## ~StarObjectSmallText()

StarObjectSmallText::~StarObjectSmallText | ( |  | ) |

override

destructor

## Member Function Documentation

## operator=()

StarObjectSmallText & StarObjectSmallText::operator= | ( | StarObjectSmallText const & | orig | ) |

private delete

## read()

bool StarObjectSmallText::read | ( | StarZone & | zone,
|  | long | lastPos )

try to read a small text object

## send()

bool StarObjectSmallText::send | ( | std::shared_ptr< STOFFListener > | listener,
|  | int | level = -1 )

try to send a small text zone

## Member Data Documentation

## m_textState

std::shared_ptr<StarObjectSmallTextInternal::State> StarObjectSmallText::m_textState

protected

the state

Referenced by read(), send(), and StarObjectSmallText().

The documentation for this class was generated from the following files:

- StarObjectSmallText.hxx
- StarObjectSmallText.cxx